Subject: Re: bug#64993: 29.1; scroll-other-window breaks global-hl-line-sticky-flag

From: Spencer Baugh <[email-masked]>
Date: Tue, 01 Aug 2023 13:46:26 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Spencer Baugh <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 01 Aug 2023 13:32:55 -0400
>> 
>> Arguing about this is rather pointless since I assume you would accept a
>> patch which fixes the behavior to work even if point moves in a
>> non-current buffer.
>
> I'm not sure I will, because I'm not sure I agree that the current
> behavior is incorrect.  I understand that you don't like it, but
> that's all.

Fine, can we ask an actual user of this feature whether they think this
is a bug or not?  Would that convince you that there's a bug here?  Or
what else would convince you?

Again, this behavior directly contradicts the docstring, and only
vaguely is allowed by the docstring of a random internal function that
you presumably had to read the source to find.